"""
This file is used to read the counter_reader value from the /dev/inex_counter device.
The value is then send as a notification.
"""

from subprocess import run


def main():
    """
    This function is called when the script is executed.
    """
    # Read the counter_reader value from the device.
    counter_value = run(["cat", "/dev/inex_counter"], capture_output=True).stdout.decode("utf-8")
    print(counter_value)
    # Send the counter_reader value as a notification.
    run(["notify-send", "Counter value", counter_value])


if __name__ == '__main__':
    main()
